Subject: bug#18197: 24.3.92; Get rid of ellipsis at beginning of window

From: Nicolas Richard <[email-masked]>
Date: Tue, 05 Aug 2014 12:07:50 +0200

I'm not sure this is a bug, or simply a feature that annoys me. I'm
sorry if I picked the wrong mailing list.

When running the following
emacs -Q /tmp/foo.outline -f outline-mode -f end-of-buffer --eval '(forward-line -2)' -f hide-body

with /tmp/foo.outline containing:
,----
| * foo
| <a screenful of lines that do not start by a '*'>
| * bar
`----

My window then looks like:
,----
| ...
| * bar
`----
When I hit M-<, my window will look like:
,----
| * foo...
| * bar
`----

I would expect the screen to not go through the intermediate state with
an ellipsis at the beginning of the window.

If this is not a bug, what is a workaround ? The best I came up with is :

(let ((ws (window-start)))
  (save-excursion
    (goto-char ws)
    (skip-chars-backward "^\n")
    (while (and (not (bobp)) (invisible-p (1- (point))))
      (goto-char (previous-char-property-change (point)))
      (skip-chars-backward "^\n"))
    (redisplay)))

(the code to skip invisible text comes from move-beginning-of-line).

Thanks,

In GNU Emacs 24.3.92.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2014-07-11 on geodiff-mac3
Windowing system distributor `The X.Org Foundation', version 11.0.11304000
System Description:	Gentoo Base System release 2.2

Configured using:
 `configure --with-x-toolkit=lucid --enable-checking 'CFLAGS= -O0 -g3''

-- 
Nico.